#ifndef MATHLIB_LINE_H
#define MATHLIB_LINE_H

#include <mathlib/matrix.h>

namespace mathlib {

template<int D>
class line {
public:
	vector<D> base;
	vector<D> direction;

	line() {}
	line(const vector<D> &r, const vector<D> &v)
		: base(r), direction(v) {}
};

} // namespace mathlib

#endif
